Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000837 [Piwigo] configuration feature have not tried 2008.07.23 10:29 2008.08.01 07:46
Reporter flop25 View Status public  
Assigned To VDigital
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.0.0 Product Version BSF branch (dev)
  Target Version 2.0.0 Product Build
Summary 0000837: [évolution]outil de gestion des templates
Description Le nouvel outil est très bien seulement les .tpl ne sont rien sans une feuille css pour l'organiser : c'est pourquoi il serait très utile de pourvoir ajouter de la même manière que les templates des .css .
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0002306)
VDigital (reporter)
2008.07.25 07:27

It was one of the pending questions...

If {$samename}.css exists ?
=> allocate it in <head>.
(0002307)
flop25 (developer)
2008.07.27 14:18

oui c'est le sens de ma demande : si un fichier css du même nom que le .tpl existe, l'outil va le charger en plus des autres css. Car il me semble bien que l'ajout d'un css dans le head depuis un .tpl n'est pas possible avec smarty (n'y avec aucun autre)

Hs : quelle est l'utilité de parler anglais sur un projet ultra majoritairement français ?
(0002308)
VDigital (reporter)
2008.07.28 07:31

We decided to have English as official language for the Bugs tool, for Extensions.
[In addition, z0rglub has planned to translate all entries in Extensions.]
(0002311)
VDigital (reporter)
2008.07.30 21:24

[Subversion] r2462
Author: vdigital
Date: 21:24:55, mercredi 30 juillet 2008
Message:
Feature:837 "Extend for templates" could have dedicated .css files.
----
Modified : /trunk/include/template.class.php
Added : /trunk/template-extension/distributed/samples/my-thumbnails2.css
Modified : /trunk/template-extension/distributed/samples/my-thumbnails2.tpl
(0002312)
VDigital (reporter)
2008.07.30 21:30
edited on: 2008.07.30 21:30

The given sample is not acceptable from IE.
Correction is pending.
Nevertheless css are allocated, is it corresponding to you requested feature?

(0002314)
rvelices (developer)
2008.07.31 07:56

[Subversion] r2462 is not working correctly if the template is used by a plugin or if conf['quation_mark_in_url']=false (eg. missing get_root_url() )

anyway, I disagree with this commit. Please note that inside the template you can use {html_head}<link href="" ...{/html_head} or even {html_head}<style>...{/html_head}. This will put automatically the stuff before </head> and you can do whatever you want (you dont have to have exactly one css with the same name). What do you think ?
(0002315)
VDigital (reporter)
2008.07.31 08:13

You're right.
I will roll it back.
Thxs.
8-)
(0002316)
VDigital (reporter)
2008.07.31 09:00

[Subversion] r2464
Author: vdigital
Date: 08:58:44, jeudi 31 juillet 2008
Message:
Feature:837 "Extend for templates" could have dedicated .css files by a simple technical {html_head} inclusion.
----
Modified : /trunk/include/template.class.php
Modified : /trunk/template-extension/distributed/samples/my-thumbnails2.tpl

Still pending an IE css issue.
(0002317)
flop25 (developer)
2008.07.31 10:30

{html_head}, I didn't know it ! it's what I wanted instead of style=""
(0002318)
VDigital (reporter)
2008.07.31 14:16

Have a look to this
http://svn.gna.org/viewcvs/phpwebgallery/trunk/template-extension/distributed/samples/my-thumbnails2.tpl?rev=2464&view=markup [^]
You'll discover there {html_head}, what rvelices has suggested...

Any template-extension can use this statement as is.
{html_head}<link rel="stylesheet" type="text/css" href="{$smarty.template|substr:6:-3}css">{/html_head}

Enjoy it.
8-)

Reminder anyway, current
/trunk/template-extension/distributed/samples/my-thumbnails2.tpl
/trunk/template-extension/distributed/samples/my-thumbnails2.css
need a patch for IE.
(0002319)
flop25 (developer)
2008.07.31 14:20

je me sens vraiment très bête ... Excusez-moi de cette perte de temps
(0002320)
VDigital (reporter)
2008.07.31 20:07

[Tu n'as pas à te sentir bête, et nous n'avons pas besoin de t'excuser, car nous ne maîtrisons pas encore tous les avantages de Smarty et les subtilités que les uns ou les autres nous apportons au code de base.]
(0002321)
VDigital (reporter)
2008.08.01 07:46

[Subversion] r2465 close the point.

Some defects maybe with exotic browsers should be tested and solved during the RC phase.

- Issue History
Date Modified Username Field Change
2008.07.23 10:29 flop25 New Issue
2008.07.23 10:29 flop25 browser => any
2008.07.23 10:29 flop25 Web server => Apache 1.3.x
2008.07.23 15:09 flop25 Issue Monitored: flop25
2008.07.25 07:27 VDigital Note Added: 0002306
2008.07.25 07:27 VDigital Assigned To => VDigital
2008.07.25 07:27 VDigital Status new => assigned
2008.07.27 14:18 flop25 Note Added: 0002307
2008.07.28 07:31 VDigital Note Added: 0002308
2008.07.30 21:23 VDigital Fixed in Version => Butterfly
2008.07.30 21:23 VDigital Target Version => Butterfly
2008.07.30 21:24 VDigital Status assigned => closed
2008.07.30 21:24 VDigital Note Added: 0002311
2008.07.30 21:24 VDigital Resolution open => fixed
2008.07.30 21:30 VDigital Status closed => feedback
2008.07.30 21:30 VDigital Resolution fixed => reopened
2008.07.30 21:30 VDigital Note Added: 0002312
2008.07.30 21:30 VDigital Note Edited: 0002312
2008.07.31 07:56 rvelices Note Added: 0002314
2008.07.31 08:13 VDigital Note Added: 0002315
2008.07.31 09:00 VDigital Note Added: 0002316
2008.07.31 09:00 VDigital Status feedback => assigned
2008.07.31 10:30 flop25 Note Added: 0002317
2008.07.31 14:16 VDigital Note Added: 0002318
2008.07.31 14:20 flop25 Note Added: 0002319
2008.07.31 20:07 VDigital Note Added: 0002320
2008.08.01 07:46 VDigital Status assigned => closed
2008.08.01 07:46 VDigital Note Added: 0002321
2008.08.01 07:46 VDigital Resolution reopened => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker